#
# spec file for package golang-org-x
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            text
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/text

Name:           golang-org-x-%{repo}
Version:        1.5.2+git20161209.47a200a
Release:        11.1
Summary:        Go text processing support
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

BuildRequires:  golang(golang.org/x/tools/go/buildutil)
Requires:       golang(golang.org/x/tools/go/buildutil)
BuildRequires:  golang(golang.org/x/tools/go/loader)
Requires:       golang(golang.org/x/tools/go/loader)

%{go_nostrip}
%{go_provides}

%description
This repository holds supplementary Go libraries for text processing, many
involving Unicode.

%package -n colcmp
Summary:        Go text processing support
Group:          Development/Languages/Golang
AutoReqProv:    Off

%{go_exclusivearch}

%description -n colcmp
This repository holds supplementary Go libraries for text processing, many
involving Unicode.

%package -n gotext
Summary:        Go text processing support
Group:          Development/Languages/Golang
AutoReqProv:    Off

%{go_exclusivearch}

%description -n gotext
This repository holds supplementary Go libraries for text processing, many
involving Unicode.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%files -f file.lst
%defattr(-,root,root,-)
%doc README LICENSE PATENTS AUTHORS CONTRIBUTORS

%files -n colcmp
%defattr(-,root,root)
%{_bindir}/colcmp

%files -n gotext
%defattr(-,root,root)
%{_bindir}/gotext

%changelog
* Thu Jan 12 2017 thipp@suse.de
- Add subpackage for gotext command
- Extend rpmlintrc
* Tue Dec 13 2016 tboerger@suse.com
- Update to version 1.5.2+git20161209.47a200a:
  * secure/precis: reduce allocations for non-changing input
  * unicode/norm: remove unreachable code
  * secure/precis: new comparison API
  * internal/export/idna: sanitize errors
  * internal/export/idna: finalize API
  * internal/gen: remove a workaround for golang.org/issue/13145.
  * unicode/runenames: new package to look up rune names.
  * secure/precis: add ascii fast path to enforce
  * internal/gen: work around long string concatenation.
  * secure/precis: manually define built in profiles
* Tue Dec 13 2016 tboerger@suse.com
- Updated service definition
* Wed Aug 17 2016 tboerger@suse.com
- Added subpackage for colcmp command
* Wed Aug 17 2016 tboerger@suse.com
- Added rpmlintrc for common golang linting
* Tue Aug 16 2016 tboerger@suse.com
- Applied latest changes for golang-packaging
* Fri Jul  8 2016 tboerger@suse.com
- Refactoed spec with a new unified layout
* Mon Dec 28 2015 matwey.kornilov@gmail.com
- Update to version 1.5.2+git20151217.cf49866:
  + : added bidi and htmlindex packages to gen.go
  + encoding/charmap: don't map U+FFFD in encoder
  + : upgrade to CLDR 28 and necessary adjustments
  + encoding: encoders return errors on out-of-repertoire runes
  + encoding: added Replacement identifier and htmlindex tests
  + : added .gitignore
  + display: remove package
  + : run long tests after a generated package
  + display: remove completely
  + encoding/htmlindex: use UTF-8 encoding
* Tue Jul  7 2015 i@marguerite.su
- rename golang-org-x-text
- update version 1.4.2+git20150710.7c0e16d
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- add xz as BuildRequires
* Sun Mar  8 2015 i@marguerite.su
- initial version 1.4.2+git20150306.f3f2426
